[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Question on compatibility with 2.6.31 kernel.



Ben Greear wrote:
> I recently tried to boot 2.6.31 on Fedora 8, and it couldn't
> find the volume groups.  The same kernel works fine on F11.

try to recompile kernel with
CONFIG_SYSFS_DEPRECATED=y
CONFIG_SYSFS_DEPRECATED_V2=y

(old lvm will not understand new sysfs design, this should
provide old sysfs entries)

> Someone on LKML said they had similar problems on an old Debian Etch
> system and to fix it they installed a new version of lvm2 and put
> that in the initrd.

yes, this is another option, new lvm2 (I think >2.02.29) should work.
But note that also device-mapper library must be updated.

Milan


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]